<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_151) on Thu Jan 18 13:47:17 GMT+01:00 2018 -->
<title>D-Index</title>
<meta name="date" content="2018-01-18">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="D-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-2.html">Prev Letter</a></li>
<li><a href="index-4.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-3.html" target="_top">Frames</a></li>
<li><a href="index-3.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">G</a>&nbsp;<a href="index-6.html">H</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">J</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">N</a>&nbsp;<a href="index-11.html">P</a>&nbsp;<a href="index-12.html">Q</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">V</a>&nbsp;<a name="I:D">
<!--   -->
</a>
<h2 class="title">D</h2>
<dl>
<dt><span class="memberNameLink"><a href="../noyau/Regle.html#dame-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">dame(Joueur, Carte, Pile, Pioche)</a></span> - Method in class noyau.<a href="../noyau/Regle.html" title="class in noyau">Regle</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../noyau/Variante1.html#dame-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">dame(Joueur, Carte, Pile, Pioche)</a></span> - Method in class noyau.<a href="../noyau/Variante1.html" title="class in noyau">Variante1</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../noyau/Variante10.html#dame-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">dame(Joueur, Carte, Pile, Pioche)</a></span> - Method in class noyau.<a href="../noyau/Variante10.html" title="class in noyau">Variante10</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../noyau/Variante13.html#dame-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">dame(Joueur, Carte, Pile, Pioche)</a></span> - Method in class noyau.<a href="../noyau/Variante13.html" title="class in noyau">Variante13</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../noyau/Variante15.html#dame-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">dame(Joueur, Carte, Pile, Pioche)</a></span> - Method in class noyau.<a href="../noyau/Variante15.html" title="class in noyau">Variante15</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../noyau/Variante17.html#dame-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">dame(Joueur, Carte, Pile, Pioche)</a></span> - Method in class noyau.<a href="../noyau/Variante17.html" title="class in noyau">Variante17</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../noyau/variante3.html#dame-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">dame(Joueur, Carte, Pile, Pioche)</a></span> - Method in class noyau.<a href="../noyau/variante3.html" title="class in noyau">variante3</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../noyau/Variante6.html#dame-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">dame(Joueur, Carte, Pile, Pioche)</a></span> - Method in class noyau.<a href="../noyau/Variante6.html" title="class in noyau">Variante6</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../noyau/Variante9.html#dame-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">dame(Joueur, Carte, Pile, Pioche)</a></span> - Method in class noyau.<a href="../noyau/Variante9.html" title="class in noyau">Variante9</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../noyau/Regle.html#deux-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">deux(Joueur, Joueur, Carte, Pile, Pioche)</a></span> - Method in class noyau.<a href="../noyau/Regle.html" title="class in noyau">Regle</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../noyau/Variante1.html#deux-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">deux(Joueur, Joueur, Carte, Pile, Pioche)</a></span> - Method in class noyau.<a href="../noyau/Variante1.html" title="class in noyau">Variante1</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../noyau/Variante16.html#deux-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">deux(Joueur, Joueur, Carte, Pile, Pioche)</a></span> - Method in class noyau.<a href="../noyau/Variante16.html" title="class in noyau">Variante16</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../noyau/Variante5.html#deux-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">deux(Joueur, Joueur, Carte, Pile, Pioche)</a></span> - Method in class noyau.<a href="../noyau/Variante5.html" title="class in noyau">Variante5</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../noyau/Variante6.html#deux-noyau.Joueur-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">deux(Joueur, Joueur, Carte, Pile, Pioche)</a></span> - Method in class noyau.<a href="../noyau/Variante6.html" title="class in noyau">Variante6</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../console/Affichable.html#direCarte-noyau.Joueur-">direCarte(Joueur)</a></span> - Method in interface console.<a href="../console/Affichable.html" title="interface in console">Affichable</a></dt>
<dd>
<div class="block">la methode permet de dire carte;</div>
</dd>
<dt><span class="memberNameLink"><a href="../console/Affichage.html#direCarte-noyau.Joueur-">direCarte(Joueur)</a></span> - Method in class console.<a href="../console/Affichage.html" title="class in console">Affichage</a></dt>
<dd>
<div class="block">Permet au joueur de dire carte</div>
</dd>
<dt><span class="memberNameLink"><a href="../interfaceGaphique/ControleGraphique.html#direCarte-noyau.Joueur-">direCarte(Joueur)</a></span> - Method in class interfaceGaphique.<a href="../interfaceGaphique/ControleGraphique.html" title="class in interfaceGaphique">ControleGraphique</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../console/Affichable.html#direContreCarte-noyau.Joueur-">direContreCarte(Joueur)</a></span> - Method in interface console.<a href="../console/Affichable.html" title="interface in console">Affichable</a></dt>
<dd>
<div class="block">la methode permet de dire contre carte</div>
</dd>
<dt><span class="memberNameLink"><a href="../console/Affichage.html#direContreCarte-noyau.Joueur-">direContreCarte(Joueur)</a></span> - Method in class console.<a href="../console/Affichage.html" title="class in console">Affichage</a></dt>
<dd>
<div class="block">Permet au joueur de dire contrecarte</div>
</dd>
<dt><span class="memberNameLink"><a href="../interfaceGaphique/ControleGraphique.html#direContreCarte-noyau.Joueur-">direContreCarte(Joueur)</a></span> - Method in class interfaceGaphique.<a href="../interfaceGaphique/ControleGraphique.html" title="class in interfaceGaphique">ControleGraphique</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../noyau/Controleur.html#distribuerCartes-java.util.LinkedList-int-">distribuerCartes(LinkedList&lt;Carte&gt;, int)</a></span> - Static method in class noyau.<a href="../noyau/Controleur.html" title="class in noyau">Controleur</a></dt>
<dd>
<div class="block">Permet de distribuer les cartes</div>
</dd>
<dt><span class="memberNameLink"><a href="../noyau/Regle.html#dix-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">dix(Joueur, Carte, Pile, Pioche)</a></span> - Method in class noyau.<a href="../noyau/Regle.html" title="class in noyau">Regle</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../noyau/Variante1.html#dix-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">dix(Joueur, Carte, Pile, Pioche)</a></span> - Method in class noyau.<a href="../noyau/Variante1.html" title="class in noyau">Variante1</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../noyau/Variante11.html#dix-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">dix(Joueur, Carte, Pile, Pioche)</a></span> - Method in class noyau.<a href="../noyau/Variante11.html" title="class in noyau">Variante11</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../noyau/Variante14.html#dix-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">dix(Joueur, Carte, Pile, Pioche)</a></span> - Method in class noyau.<a href="../noyau/Variante14.html" title="class in noyau">Variante14</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../noyau/Variante15.html#dix-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">dix(Joueur, Carte, Pile, Pioche)</a></span> - Method in class noyau.<a href="../noyau/Variante15.html" title="class in noyau">Variante15</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../noyau/Variante16.html#dix-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">dix(Joueur, Carte, Pile, Pioche)</a></span> - Method in class noyau.<a href="../noyau/Variante16.html" title="class in noyau">Variante16</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../noyau/Variante5.html#dix-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">dix(Joueur, Carte, Pile, Pioche)</a></span> - Method in class noyau.<a href="../noyau/Variante5.html" title="class in noyau">Variante5</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../noyau/Variante6.html#dix-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">dix(Joueur, Carte, Pile, Pioche)</a></span> - Method in class noyau.<a href="../noyau/Variante6.html" title="class in noyau">Variante6</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../noyau/Variante8.html#dix-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">dix(Joueur, Carte, Pile, Pioche)</a></span> - Method in class noyau.<a href="../noyau/Variante8.html" title="class in noyau">Variante8</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../noyau/Variante9.html#dix-noyau.Joueur-noyau.Carte-noyau.Pile-noyau.Pioche-">dix(Joueur, Carte, Pile, Pioche)</a></span> - Method in class noyau.<a href="../noyau/Variante9.html" title="class in noyau">Variante9</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../noyau/Joueur.html#donnerCarte-int-">donnerCarte(int)</a></span> - Method in class noyau.<a href="../noyau/Joueur.html" title="class in noyau">Joueur</a></dt>
<dd>
<div class="block">Permet de donner une carte en l'enlevant de sa main</div>
</dd>
<dt><span class="memberNameLink"><a href="../noyau/Pioche.html#donnerCarte-noyau.Joueur-int-">donnerCarte(Joueur, int)</a></span> - Method in class noyau.<a href="../noyau/Pioche.html" title="class in noyau">Pioche</a></dt>
<dd>
<div class="block">Permet de donner un nombre de carte à un autre joueur
 *</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">G</a>&nbsp;<a href="index-6.html">H</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">J</a>&nbsp;<a href="index-9.html">M</a>&nbsp;<a href="index-10.html">N</a>&nbsp;<a href="index-11.html">P</a>&nbsp;<a href="index-12.html">Q</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">V</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-2.html">Prev Letter</a></li>
<li><a href="index-4.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-3.html" target="_top">Frames</a></li>
<li><a href="index-3.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
